var app = app || {};

var WatcherView = Backbone.View.extend({
    model: app.Watcher,
    el: '#canvas',
    stage: {},
    serverLayers: {},
    
    initialize: function(){
//         console.log('Created main window view...');
        
        
        this.listenTo(app.Watcher, 'change', function(){
            
            logText('Server data changed...');
//          // LOG all data to window
//             for(server in this.model.attributes){
//                 logText(server + ':');
//                 
//                 for(attr in this.model.attributes[server].attr){
//                     logText(attr + ' : ' + this.model.attributes[server].attr[attr]);
//                 }
//             }
            
            this.stage = newStage();
            updateLayers();
            addLines();
            
            for(server in this.serverLayers){
                app.WatcherView.stage.add(app.WatcherView.serverLayers[server]);
            }
            
            this.stage.draw();
        });
    }
    
//     render: function(){
//         console.log(JSON.stringify(this.model.servers));
//     },

});

app.WatcherView = new WatcherView();